Issue 90815

Summary: [StartCenter] Provide configuration option to deactivate StartCenter
Product: General Reporter: christoph
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P5 (lowest) CC: andreas.schluens, frank.loehmann, grahamperrin, issues, Mathias_Bauer, nesshof, office, olaf-openoffice, philipp.lohmann, r4zoli
Version: DEV300m19   
Target Milestone: AOO Later   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 107318    
Attachments:
Description Flags
Small Extension which disable the StartModule none

Description christoph 2008-06-17 17:44:31 UTC
Currently, the StartCenter is shown every time in start module (the empty
OpenOffice.org window). There seems to be demand to manually deactivate the
StartCenter.

Rationale: People may open OpenOffice.org to run their user defined dialogs. In
such a case, the StartCenter may be distracting. Another scenario is the use in
corporate environments and the potential wish of administrators to deactivate it
(for whatever reason). 

FL proposed the following implementation: "configuration entry to turn off
start-center [...] No GUI, just a new config item. Default is still "on""

This issue is based on a discussion in the de-users mailing list (German):
http://de.openoffice.org/servlets/ReadMsg?list=users&msgNo=77378

The issue has been added to the StartCenter discussion wiki at:
http://wiki.services.openoffice.org/w/index.php?title=User_Experience/StartCenter
Comment 1 frank.loehmann 2008-07-08 16:38:33 UTC
Set target to 3.1. 
Comment 2 philipp.lohmann 2008-07-10 18:21:31 UTC
confirm
Comment 3 philipp.lohmann 2008-07-10 18:23:28 UTC
see also issue 86520, additionally to switching StartCenter off some user would
want to have a configure switch to turn it on on the mac (where it currently
disappears using quickstarter instead)

Probably we should use the same configuration entry for this.
Comment 4 yocraig 2008-11-20 03:48:34 UTC
I have two problems with the StartCenter:

a. It's time consuming compared to the way the X11 versions worked. 2.4.0 launched into a blank word processing document and that was fine. If I needed something different, then I was willing to take the 
extra steps to close that doc and open a new spreadsheet, for instance. Now I need extra time to go 
through the welcome screen just to get to the word processor doc that 9 times out of 0 I'm going to 
need anyway.

b. I feel silly mentioning this but it is REALLY annoying. Behind the StartCenter screen is a blank grey 
document window that will get used for whatever document type you select from the StartCenter. THIS 
WINDOW IS THE WRONG SIZE!!! Unlike when I open a document by double-clicking it, or later, if I open 
an old document from the file menu, or when I close an old document and then open a new document, 
the StartCenter doesn't remember the size of the last document I had open and insists on opening 
document new or saved, in a window size that i ALWAYS have to resize. Not good!!
Comment 5 Mathias_Bauer 2008-11-24 09:18:39 UTC
The start center can't be deactivated ATM, but it can be *deinstalled* by
changing the configuration.

Isn't that enough already?
Comment 6 frank.loehmann 2008-11-24 10:30:43 UTC
FL: I think that would be OK as a first step. 
Please add a new entry "Document and Template Chooser" and the following help
text to the section "Optional Components" below "Quick Starter" entry. Default
is checked:

New entry: "Document and Template Chooser"
"Provides an easy access to documents and templates on program start-up."
Comment 7 Mathias_Bauer 2008-11-24 15:21:13 UTC
@fl: sorry, how does that match to "No GUI, just a new config item"

I pointed out that we already have a config item for removing the StartModule.
This does not require changes in the setup, it can be done by manually editing
the setup.xcu. So this looks as "works for me".

Comment 8 probe1 2008-12-15 05:41:26 UTC
mba: could you please give an example which setting has to be altered, and how,
to switch it off in OOO300m9. TIA
Comment 9 Mathias_Bauer 2008-12-17 09:45:10 UTC
Andreas, Carsten: can one of you please describe the necessary changes in the
configuration to deactivate the start module?
Comment 10 carsten.driesner 2008-12-17 10:34:31 UTC
cd: You have to delete the Setup-start.xcu file in the Office installation, look
into the folder Basis/share/registry/modules/org/openoffice/Setup. This
configuration file defines the module entries of the Start Module. 
Making this change disables the Start Center. Attention: The Office shutdowns
automatically whenever the last window is closed and there is no quickstarter
running.
Comment 11 andreas.schluens 2008-12-17 10:54:09 UTC
Or even better ... you can using the attached OXT file to disable the
StartModule temporary. Please note: Its might be neccessary to restart the
office to get this working.
Comment 12 andreas.schluens 2008-12-17 10:55:25 UTC
Created attachment 58887 [details]
Small Extension which disable the StartModule
Comment 13 carsten.driesner 2008-12-17 11:01:36 UTC
cd: More actions are not possible for OOo 3.1 as we are one day before feature
freeze. Therefore set this issue to 3.x. As discussed by phone as will take over.
Comment 14 Graham Perrin 2008-12-17 11:13:54 UTC
Re issue 86520 in which command-N is associated with the Start Centre

Re this issue 90815 

> disable the StartModule 

If a user installs the extension, then 

* will command-N simply do nothing

or 

* might some error occur?
Comment 15 andreas.schluens 2008-12-17 11:27:05 UTC
as->grahamperrin: Currently I do not know the command bound to this key. If it's
realy bound to "Show the StartCenter" nothing will happen. If it's bound to "New
Document" another default is used .. e.g. the writer module. Try it out !
Comment 16 horw 2009-04-02 20:35:34 UTC
Please have a look.

Target 3.X is not good, because we must wait to for a long time.
Please, remember you  ... in former times was the speech of 3.1. 
In my opinion that would be better.

Please, they lose the issue not from the look. Thanks.

Comment 17 philipp.lohmann 2009-04-03 09:24:33 UTC
reassign to framework team
Comment 18 julex 2009-04-04 15:46:02 UTC
Please have a look.
Comment 19 erd 2009-08-11 19:01:48 UTC
Please don't forget this 'Issue'.
I have full of hope installed 3.1.1RC1.
Unfortunately, it still isn't possible to have OpenOffice without 'start center'.
What does "target: OOo 3. x" mean? When will this be?

Kind greetings
Comment 20 Olaf Felka 2009-08-12 07:34:48 UTC
Target 3.x means that we will try do make a fix in the 3.x codeline. That
depends on the resources we have to make this change. From my point of view we
have a lot of trouble about a not existing problem. Since we have the start
center nothing has changed for the user. He can handle the office the same way
ever has. Nothing has been dropped. On the other hand it offers a lot more for
OOo starters and Mac users.
Comment 21 ps10 2009-08-12 13:37:28 UTC
"Since we have the start
center nothing has changed for the user"

The Startcenter is okay for a completely clueless user.
From my point of view I have got something, that I never use.
I wouldn't like this "have to see". Compulsion isn't the correct way.

If I delete the setup.xcu, then I cannot close the last document and leave the
OOo open.
However, I need, that OOo remains always opened - without startcenter, see OOo2x.

Comment 22 dlab 2009-08-12 15:27:05 UTC
I drill too because the solution for 3.1 was promised.
I am fearing now that this will never come.

Please don't lose this Issue from the look. Thanks.
Comment 23 r4zoli 2009-09-12 11:50:36 UTC
After the startup performance enhancements the quickstarter, active state in
startup unnecessary. Please reconsider to swich off this options in all OOo, at
least in developer versions. If I download new dev version first thing to switch
 off this feature. 
Comment 24 laum 2009-09-23 22:05:02 UTC
1. target milestone -> OOo 3.1
2. target milestone -> OOo x
3. target milestone -> never?

We have waited already for a year and nothing happens.
Please don't force me to see the start-center.
I am using a Mac and I would like to be able to switch 
the start center in the GUI.

The extension which you offer isn't the solution.
Comment 25 carsten.driesner 2009-09-24 09:05:23 UTC
cd: I want to express my point of view. I have never promised that this
enhancement will be implemented in a certain release. I won't be able to work on
this enhancement for the next months. I am busy with other tasks. If people
think that this issue is that urgent please look for a developer who can provide
a patch and I will definitely help to integrate it. There is a solution for this
problem by using the provided extension. Currently you won't get more than this.
Everybody think that his/her problem is the most important one. I already have
more than one thousand issues, feature requests and wishes for enhancements.
Without help from the community many things cannot be done.
Comment 26 meinhuli 2009-11-28 16:27:15 UTC
PLEASE, provide the option (configuration) to deactivate StartCenter.

This Request (not only of me) is based on this discussion in the de-users
mailing list (German):
http://de.openoffice.org/servlets/BrowseList?list=users&by=thread&from=2310298

And here is an another discussion:
http://de.openoffice.org/servlets/BrowseList?list=users&by=thread&from=2072786

Unfortunately, I haven't found a developer, who can provide a patch.

Many thanks in advance!
Comment 27 driftwolf 2009-12-01 16:01:47 UTC
Let me add my voice to asking for this to be resolved quickly.

Perhaps some day I'll be good enough programmer to make my own solution. Until
then, however, I'm reduced to begging someone else to fix this problem.

Please?

I'd like to be able to start OpenOffice in the background when I start my Mac.
Since the Mac doesn't get a QuickStarter (and really doesn't need one if we can
get rid of this start center), this is the easiest way for me to have individual
modules (text, spreadsheet, etc.) that I use every day load more quickly on
first use. 

This means I don't want it to start ANYTHING. No "start center", no "text
editor", just start openoffice in the background and wait for further instructions.

Please? Here on Macs we don't need a quickstarter, we just need ONE
configuration option to be able to disable the "start center". Just that one
option, somewhere. If I knew where to look it's probably a two-line change (if
START_CENTER then (start_center) else (be quiet) fi) and adding a checkbox to
one of the configuration pages to set/unset the "START_CENTER" boolean.

I'm really REALLY happy we got OpenOffice without X11, so thanks for that!! But
I'd be happier if I could just have the ability to stop the "start center", or
any other window, from launching when I start up OpenOffice in the background.

Unfortunately, the "DisableStartModule.oxt" listed above isn't much of an
improvement. It's not so much "disable start module" but "replace start module
with something else". If I knew how to create such a module I'd probably go dig
in to see if it can be modified, but I don't KNOW (yet).

Using OpenOffice 3.1.1 on MacOSX 10.6
Comment 28 horw 2010-02-02 21:58:49 UTC
That issue waits since a long time. Would be a very nice feature.

Frank Loehmann had promised the implementation.
Would be nice, if he would keep his word from July 2008. 
Thanks.
Comment 29 dlab 2010-03-01 22:13:23 UTC
Frank(fl), why do you want to make fun of us?
Are you insulted because not all users like your StartCenter?
Is this the reason?

German:
Frank, warum willst du uns veräppeln?
Bist du beleidigt, weil nicht alle dein StartCenter mögen?
Ist es deswegen?

Comment 30 carsten.driesner 2010-04-28 09:44:38 UTC
cd->zhangxiaofei: Please take over.
Comment 31 Rob Weir 2013-07-30 02:46:15 UTC
Reset assignee on issues not touched by assignee in more than 1000 days.